# $Revision: 1.46 $, $Date: 2011/05/02 17:25:00 $
%define		module	pycairo
Summary:	Python Cairo bindings
Summary(pl.UTF-8):	Dowiązania Pythona dla Cairo
Name:		python-%{module}
Version:	1.10.0
Release:	1
License:	LGPL v2.1 or MPL v1.1
Group:		Libraries
Source0:	http://cairographics.org/releases/py2cairo-%{version}.tar.bz2
# Source0-md5:	20337132c4ab06c1146ad384d55372c5
URL:		http://cairographics.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9.6
BuildRequires:	cairo-devel >= 1.10.0
BuildRequires:	libtool >= 2:1.4
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.6
BuildRequires:	python-devel
# for tests only
#BuildRequires:	python-numpy
# not release yet
#BuildRequires:	python-xpyb >= 1.3
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	cairo >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python Cairo bindings.

%description -l pl.UTF-8
Dowiązania Pythona dla Cairo.

%package devel
Summary:	Development files for pycairo
Summary(pl.UTF-8):	Pliki programistyczne pycairo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.10.0

%description devel
Development files for pycairo.

%description devel -l pl.UTF-8
Pliki programistyczne pycairo.

%package examples
Summary:	Example programs using Python Cairo bindings
Summary(pl.UTF-8):	Przykładowe programy w Pythonie używające Cairo
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Example programs using Python Cairo bindings.

%description examples -l pl.UTF-8
Przykładowe programy w Pythonie używające Cairo.

%prep
%setup -q -n py2cairo-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/cairo/*.{la,py}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%dir %{py_sitedir}/cairo
%attr(755,root,root) %{py_sitedir}/cairo/_cairo.so
%{py_sitedir}/cairo/__init__.py[co]

%files devel
%defattr(644,root,root,755)
%{_includedir}/pycairo
%{_pkgconfigdir}/pycairo.pc

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pycairo.spec,v $
Revision 1.46  2011/05/02 17:25:00  qboosh
- updated to 1.10.0

Revision 1.45  2010/12/10 08:41:00  lisu
- define name for module
- use rm macro

Revision 1.44  2010/10/19 12:42:20  lisu
- release 3

Revision 1.43  2010/07/08 08:28:56  arekm
- release 2

Revision 1.42  2010/07/03 07:19:38  qboosh
- updated to (py2cairo) 1.8.10

Revision 1.41  2009/11/26 21:57:17  sparky
- BR: pkgconfig, python-devel

Revision 1.40  2009/10/24 11:53:05  sls
- BR: python >= 2.6

Revision 1.39  2009/10/17 01:08:44  wrobell
- changelog is no longer provided

Revision 1.38  2009/10/17 01:05:18  wrobell
- ver. 1.8.8

Revision 1.37  2009/07/15 18:00:12  wiget
- updated to 1.8.6

Revision 1.36  2009/03/30 10:34:08  duddits
- up to 1.8.4

Revision 1.35  2009/02/03 22:56:42  qboosh
- updated to 1.8.2

Revision 1.34  2008/12/25 07:48:36  qboosh
- updated to 1.8.0

Revision 1.33  2008/10/03 17:56:29  arekm
- release 2

Revision 1.32  2008/08/19 21:09:09  qboosh
- updated to 1.6.4

Revision 1.31  2007/12/15 15:02:06  qboosh
- updated to 1.4.12

Revision 1.30  2007-03-16 23:07:03  qboosh
- updated to 1.4.0

Revision 1.29  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.27  2007/02/11 21:51:59  qrczak
- Fixed language tag.

Revision 1.26  2006/11/27 08:59:45  qboosh
- updated to 1.2.6

Revision 1.25  2006/09/27 18:56:23  wrobell
- rel. 4 to rebuild with python 2.5 (final)

Revision 1.24  2006/09/09 16:22:03  arekm
- rel 3

Revision 1.23  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.22  2006/08/27 10:50:15  havner
- nvm, this is unnecessary

Revision 1.21  2006/08/27 10:48:49  havner
- rebuild with 2.5
- rel 2

Revision 1.20  2006/08/21 09:39:56  qboosh
- updated to 1.2.2; cairo.svg removed from here

Revision 1.19  2006/07/18 08:04:25  qboosh
- python-numpy -> python-Numeric

Revision 1.18  2006/07/03 17:03:41  qboosh
- don't try to build cairogtkmodule (obsolete since pygtk 2.7.0)

Revision 1.17  2006/07/03 16:25:36  qboosh
- updated to 1.2.0

Revision 1.16  2006/06/09 15:30:14  wolf
- cosmetics

Revision 1.15  2006/05/26 20:38:06  ankry
- standarized

Revision 1.14  2005/10/30 12:17:57  arekm
- rel 2

Revision 1.13  2005/10/12 19:34:35  qboosh
- updated to 1.0.2

Revision 1.12  2005/10/05 22:06:10  blues
- rels up. Forgot to make it in both specs :(

Revision 1.11  2005/10/05 20:28:15  blues
- BuildRequires: rpm-pythonprov

Revision 1.10  2005/09/13 16:47:47  qboosh
- updated to 1.0.0 release

Revision 1.9  2005/08/14 16:51:38  freetz
- pygtk bcond for bootstrapping

Revision 1.8  2005/08/10 20:56:29  qboosh
- updated to 0.9.0

Revision 1.7  2005/08/06 10:01:34  qboosh
- updated to 0.6.0

Revision 1.6  2005/07/11 12:43:32  freetz
- devel subpackage, rel.2

Revision 1.5  2005/06/23 19:34:05  qboosh
- updated to 0.5.1 (for cairo 0.5.1)

Revision 1.4  2005/05/21 00:28:41  qboosh
- updated to 0.5.0, removed obsolete ac patch

Revision 1.3  2005/03/28 00:03:41  qboosh
- updated to 0.4.0, added ac patch

Revision 1.2  2005/01/22 18:44:10  qboosh
- updated to 0.1.4 (on LGPL 2.1/MPL 1.1 now)
- BR: libsvg-cairo-devel (used for linking if found)

Revision 1.1  2005/01/05 20:43:45  jpc
- new spec
